version: 46
jobs:
- name: Push to Gitea
  steps:
  - type: PushRepository
    name: Push to Gitea
    remoteUrl: https://gitea.anfer.fr/anfer/OpenEngine
    passwordSecret: Gitea
    force: false
    condition: SUCCESSFUL
    optional: false
  triggers:
  - type: BranchUpdateTrigger
    branches: main
    userMatch: anyone
    projects: OpenEngine
  - type: TagCreateTrigger
    branches: main
    projects: OpenEngine
  retryCondition: never
  maxRetries: 3
  retryDelay: 30
  timeout: 14400
- name: Compile for Linux
  steps:
  - type: CheckoutStep
    name: Checkout
    cloneCredential:
      type: DefaultCredential
    withLfs: false
    withSubmodules: false
    condition: SUCCESSFUL
    optional: false
  - type: CommandStep
    name: Compile for Linux
    runInContainer: true
    image: erriss/erris-build_tools:V0.4
    interpreter:
      type: DefaultInterpreter
      commands: |
        conan profile detect --force
        git submodule update --init --recursive
        conan install . --output-folder=. --build=missing -s build_type=${BUILD_TYPE}
        cmake -S . -G Ninja -B build -DCMAKE_BUILD_TYPE=${BUILD_TYPE} -DCMAKE_TOOLCHAIN_FILE=conan_toolchain.cmake

        echo ====== Building =============================
        cmake --build build --config ${BUILD_TYPE}

        echo ====== ls ===================================
        ls -la

        echo ====== ls build =============================
        ls build -la
    envVars:
    - name: BUILD_TYPE
      value: Debug
    - name: CC
      value: clang
    - name: CXX
      value: clang++
    useTTY: true
    condition: SUCCESSFUL
    optional: false
  - type: PublishArtifactStep
    name: Get build artifacts
    sourcePath: build
    artifacts: editor/* open_engine/*
    condition: SUCCESSFUL
    optional: false
  retryCondition: never
  maxRetries: 3
  retryDelay: 30
  timeout: 14400
